API Direct
Endpoints
Threads Search Users

Threads Search Users

GET /v1/threads/users

Search Threads users by keyword. Returns username, display name, user ID, verification status, privacy status, and profile picture URL.

Cost
$0.006 per request
Free tier
50 requests/month

Parameters

query *
Search keyword (max 500 characters)

Example Request

curl "https://apidirect.io/v1/threads/users?query=technology" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "users": [
    {
      "username": "technologyreview",
      "full_name": "MIT Technology Review",
      "user_id": "63213270539",
      "is_verified": true,
      "is_private": false,
      "profile_pic_url": "https://scontent.cdninstagram.com/.../photo.jpg",
      "url": "https://www.threads.com/@technologyreview"
    }
  ],
  "count": 9
}

Your Usage

Free tier this month
Loading...
Recent Activity